Workflows
Get Workflow Status
Retrieve workflow-level status and task-level states.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
workflow_id*string
Workflow ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.fastfold.ai/v1/workflows/status/"{
"workflow_id": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42",
"status": "RUNNING",
"created_at": "2026-02-22T20:31:33.007374",
"updated_at": "2026-02-22T20:35:01.104221",
"tasks": [
{
"task_id": "9e96cfe4-df9b-46cd-9ad4-93ed413f2fbe",
"task_type": "input_design_spec_boltzgen_v1",
"status": "COMPLETED",
"node_id": "065aa1da-274d-44a9-b090-cd89f9dc130f",
"order_index": 1
},
{
"task_id": "3b13e529-5f60-42c1-b5fc-cf2354e72e9e",
"task_type": "pipeline_run_boltzgen_v1",
"status": "RUNNING",
"node_id": "4fdbfd17-ef2a-4d11-aacb-6f82a11668fa",
"order_index": 2
}
]
}{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on